> For the complete documentation index, see [llms.txt](https://api-docs.minical.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.minical.io/minical-api/room.md).

# Room

<details>

<summary><a href="https://api.minical.io/v2/room_type/get_adr"><strong>https://api.minical.io/v2/room_type/get_adr</strong></a>                                                                                       <strong>Get average daily rate</strong></summary>

This endpoint allows you to get average daily rate of a rate plan.

**Parameter**

**Header**

X-API-KEY                           string         API key&#x20;

**Body**

date\_start                                 string         Start Date

date\_end                                  string         End Date

room\_type\_id                     integer       PMS Room Type ID

rate\_plan\_id                       integer        PMS Rate Plan ID

company\_id                       integer         PMS Property ID

</details>

**Responses**

<details>

<summary><strong>200</strong>                                                                  ADR successfully retrieved.</summary>

```
{
    "adult_1_adr": "100.00",
    "adult_2_adr": "150.00",
    "adult_3_adr": "200.00",
    "adult_4_adr": "250.00"
}
```

</details>

<details>

<summary><strong>404</strong>  Could not find a adr matching this query.</summary>

```
{
    "status": false,
    "error": "Unknown method."
}
```

</details>

#### Request Body

```
{
   "date_start": "2020-07-25",
   "date_end": "2020-07-28",
   "company_id": "8490006340",
   "room_type_id": "8490020098",
   "rate_plan_id": "131335"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.minical.io/minical-api/room.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
